Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbc
Class ParameterMetaDataImpl

    java.lang.Object
      |
      +--net.sourceforge.jtds.jdbc.ParameterMetaDataImpl

All Implemented Interfaces:
  java.sql.ParameterMetaData

public class ParameterMetaDataImpl
extends java.lang.Object
implements java.sql.ParameterMetaData

jTDS implementation of `ParameterMetaData`.

For Sybase it is usually possible to obtain true parameter data for prepared statements. For Microsoft just use information determined from the actual parameters if set or return some reasonable defaults otherwise.

Version:
  $Id: ParameterMetaDataImpl.java,v 1.7 2005/09/21 21:50:34 ddkilzer Exp $
Author:
  Brian Heineman, Mike Hutchinson

Field Summary
`private int` | `maxPrecision`
`private ParamInfo[]` | `parameterList`
`private boolean` | `useLOBs`

Fields inherited from interface java.sql.ParameterMetaData
`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

Constructor Summary
`ParameterMetaDataImpl(ParamInfo[] parameterList, ConnectionJDBC2 connection)`

Method Summary
`private ParamInfo` | `getParameter(int param)`
`java.lang.String` | `getParameterClassName(int param)`
`int` | `getParameterCount()`
`int` | `getParameterMode(int param)`
`int` | `getParameterType(int param)`
`java.lang.String` | `getParameterTypeName(int param)`
`int` | `getPrecision(int param)`
`int` | `getScale(int param)`
`int` | `isNullable(int param)`
`boolean` | `isSigned(int param)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface java.sql.ParameterMetaData
``

Field Detail

### parameterList

    private final ParamInfo[] parameterList

### maxPrecision

    private final int maxPrecision

### useLOBs

    private final boolean useLOBs

Constructor Detail

### ParameterMetaDataImpl

    public ParameterMetaDataImpl(ParamInfo[] parameterList,
                                 ConnectionJDBC2 connection)

Method Detail

### getParameterCount

    public int getParameterCount()
                          throws java.sql.SQLException

  Specified by:
    `getParameterCount` in interface `java.sql.ParameterMetaData`

### isNullable

    public int isNullable(int param)
                   throws java.sql.SQLException

  Specified by:
    `isNullable` in interface `java.sql.ParameterMetaData`

### getParameterType

    public int getParameterType(int param)
                         throws java.sql.SQLException

  Specified by:
    `getParameterType` in interface `java.sql.ParameterMetaData`

### getScale

    public int getScale(int param)
                 throws java.sql.SQLException

  Specified by:
    `getScale` in interface `java.sql.ParameterMetaData`

### isSigned

    public boolean isSigned(int param)
                     throws java.sql.SQLException

  Specified by:
    `isSigned` in interface `java.sql.ParameterMetaData`

### getPrecision

    public int getPrecision(int param)
                     throws java.sql.SQLException

  Specified by:
    `getPrecision` in interface `java.sql.ParameterMetaData`

### getParameterTypeName

    public java.lang.String getParameterTypeName(int param)
                                          throws java.sql.SQLException

  Specified by:
    `getParameterTypeName` in interface `java.sql.ParameterMetaData`

### getParameterClassName

    public java.lang.String getParameterClassName(int param)
                                           throws java.sql.SQLException

  Specified by:
    `getParameterClassName` in interface `java.sql.ParameterMetaData`

### getParameterMode

    public int getParameterMode(int param)
                         throws java.sql.SQLException

  Specified by:
    `getParameterMode` in interface `java.sql.ParameterMetaData`

### getParameter

    private ParamInfo getParameter(int param)
                            throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on August 22 2007